
package org.tio.sitexxx.service.service.captcha;

import com.anji.captcha.model.common.Const;
import com.anji.captcha.service.CaptchaService;
import com.anji.captcha.service.impl.CaptchaServiceFactory;

import java.util.Properties;

/**
 * 图形验证码配置文件
 * @author xufei
 * 2020年12月12日 下午1:49:44
 */
public class CaptchaConfig {

	/**
	 * 本地图片服务
	 * @return
	 * @author xufei
	 * 2020年12月18日 下午1:50:12
	 */
	public static CaptchaService captchaService() {
		Properties config = new Properties();
		//各种参数设置....
		//缓存类型redis/local/....
		config.put(Const.CAPTCHA_CACHETYPE, "redis");
		config.put(Const.CAPTCHA_WATER_MARK, "");//水印
		config.put(Const.CAPTCHA_FONT_TYPE, "宋体");
		config.put(Const.CAPTCHA_TYPE, "default");
		config.put(Const.CAPTCHA_INTERFERENCE_OPTIONS, "0");
		config.put(Const.ORIGINAL_PATH_JIGSAW, "");
		config.put(Const.ORIGINAL_PATH_PIC_CLICK, "");
		config.put(Const.CAPTCHA_SLIP_OFFSET, "5");
		config.put(Const.CAPTCHA_AES_STATUS, "true");
		config.put(Const.CAPTCHA_WATER_FONT, "宋体");
		config.put(Const.CAPTCHA_CACAHE_MAX_NUMBER, "1000");
		config.put(Const.CAPTCHA_TIMING_CLEAR_SECOND, "180");
		return CaptchaServiceFactory.getInstance(config);
	}
}
